<ion-header>
    <ion-toolbar>
        <ion-title>
            Add password
        </ion-title>
        <ion-buttons slot="end">
            <ion-button color="primary" (click)="dismissModal()">
                <ion-icon slot="icon-only" name="close"></ion-icon>
            </ion-button>
        </ion-buttons>
    </ion-toolbar>
</ion-header>
<ion-content padding="true">
    <form [formGroup]="formObj" (ngSubmit)="save(formObj.value)">
        <ion-item>
            <ion-label position="floating">
                Host
            </ion-label>
            <ion-input formControlName="host"></ion-input>
        </ion-item>
        <ion-note *ngIf="isSubmitted && frmCtrl['host'].errors" color="danger">
            Host name is required!
        </ion-note>
        <ion-item>
            <ion-label position="floating">
                Username
            </ion-label>
            <ion-input formControlName="login"></ion-input>
        </ion-item>
        <ion-note *ngIf="isSubmitted && frmCtrl['login'].errors" color="danger">
            Username name is required!
        </ion-note>
    </form>
</ion-content>
<ion-footer>
    <form [formGroup]="formObj" (ngSubmit)="save(formObj.value)">
        <ion-toolbar>
            <ion-buttons slot="end">
                <ion-button color="primary" fill="solid" type="submit">Generate & Save</ion-button>
            </ion-buttons>
        </ion-toolbar>
    </form>
</ion-footer>